--- //depot/vendor/freebsd/src/sys/pci/if_de.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/pci/if_de.c	2005/08/05 14:11:40
@@ -308,7 +308,7 @@
     if ((sc->tulip_flags & TULIP_LINKUP) == 0)
 	sc->tulip_flags |= TULIP_PRINTLINKUP;
     sc->tulip_flags |= TULIP_LINKUP;
-    sc->tulip_ifp->if_flags &= ~IFF_OACTIVE;
+    sc->tulip_ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 #if 0 /* XXX how does with work with ifmedia? */
     if ((sc->tulip_flags & TULIP_DIDNWAY) == 0) {
 	if (sc->tulip_ifp->if_flags & IFF_FULLDUPLEX) {
@@ -606,7 +606,7 @@
     }
 
     if (event == TULIP_MEDIAPOLL_START) {
-	sc->tulip_ifp->if_flags |= IFF_OACTIVE;
+	sc->tulip_ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 	if (sc->tulip_probe_state != TULIP_PROBE_INACTIVE)
 	    return;
 	sc->tulip_probe_mediamask = 0;
@@ -778,7 +778,7 @@
 		if (++sc->tulip_probe_passes == 3) {
 		    if_printf(ifp, "autosense failed: cable problem?\n");
 		    if ((sc->tulip_ifp->if_flags & IFF_UP) == 0) {
-			sc->tulip_ifp->if_flags &= ~IFF_RUNNING;
+			sc->tulip_ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 			sc->tulip_probe_state = TULIP_PROBE_INACTIVE;
 			return;
 		    }
@@ -1027,7 +1027,7 @@
      * restart the probe (and reset the tulip to a known state).
      */
     if (event == TULIP_MEDIAPOLL_START) {
-	sc->tulip_ifp->if_flags |= IFF_OACTIVE;
+	sc->tulip_ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 	sc->tulip_cmdmode &= ~(TULIP_CMD_FULLDUPLEX|TULIP_CMD_RXRUN);
 #ifdef notyet
 	if (sc->tulip_revinfo >= 0x20) {
@@ -1134,7 +1134,7 @@
 		if_printf(sc->tulip_ifp,
 		    "autosense failed: cable problem?\n");
 		if ((sc->tulip_ifp->if_flags & IFF_UP) == 0) {
-		    sc->tulip_ifp->if_flags &= ~IFF_RUNNING;
+		    sc->tulip_ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 		    sc->tulip_probe_state = TULIP_PROBE_INACTIVE;
 		    return;
 		}
@@ -1354,7 +1354,8 @@
 			   ifp->if_xname, phyaddr);
 		sc->tulip_flags &= ~TULIP_TXPROBE_ACTIVE;
 		sc->tulip_probe_state = TULIP_PROBE_FAILED;
-		sc->tulip_ifp->if_flags &= ~(IFF_UP|IFF_RUNNING);
+		sc->tulip_ifp->if_flags &= ~IFF_UP;
+		sc->tulip_ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 		return;
 	    }
 	    status = tulip_mii_readreg(sc, phyaddr, PHYREG_STATUS);
@@ -3184,7 +3185,7 @@
     if (!inreset) {
 	sc->tulip_flags |= TULIP_INRESET;
 	sc->tulip_flags &= ~(TULIP_NEEDRESET|TULIP_RXBUFSLOW);
-	sc->tulip_ifp->if_flags &= ~IFF_OACTIVE;
+	sc->tulip_ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
     }
 
 #if defined(TULIP_BUS_DMA) && !defined(TULIP_BUS_DMA_NOTX)
@@ -3318,11 +3319,11 @@
     tulip_softc_t * const sc)
 {
     if (sc->tulip_ifp->if_flags & IFF_UP) {
-	if ((sc->tulip_ifp->if_flags & IFF_RUNNING) == 0) {
+	if ((sc->tulip_ifp->if_drv_flags & IFF_DRV_RUNNING) == 0) {
 	    /* initialize the media */
 	    tulip_reset(sc);
 	}
-	sc->tulip_ifp->if_flags |= IFF_RUNNING;
+	sc->tulip_ifp->if_drv_flags |= IFF_DRV_RUNNING;
 	if (sc->tulip_ifp->if_flags & IFF_PROMISC) {
 	    sc->tulip_flags |= TULIP_PROMISC;
 	    sc->tulip_cmdmode |= TULIP_CMD_PROMISCUOUS;
@@ -3342,7 +3343,7 @@
 	    sc->tulip_cmdmode |= TULIP_CMD_RXRUN;
 	    sc->tulip_intrmask |= TULIP_STS_RXSTOPPED;
 	} else {
-	    sc->tulip_ifp->if_flags |= IFF_OACTIVE;
+	    sc->tulip_ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 	    sc->tulip_cmdmode &= ~TULIP_CMD_RXRUN;
 	    sc->tulip_intrmask &= ~TULIP_STS_RXSTOPPED;
 	}
@@ -3351,7 +3352,7 @@
 	if ((sc->tulip_flags & (TULIP_WANTSETUP|TULIP_TXPROBE_ACTIVE)) == TULIP_WANTSETUP)
 	    tulip_txput_setup(sc);
     } else {
-	sc->tulip_ifp->if_flags &= ~IFF_RUNNING;
+	sc->tulip_ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 	tulip_reset(sc);
     }
 }
@@ -3774,7 +3775,7 @@
 	    ri->ri_nextin = ri->ri_first;
 
 	if ((sc->tulip_flags & TULIP_TXPROBE_ACTIVE) == 0)
-	    sc->tulip_ifp->if_flags &= ~IFF_OACTIVE;
+	    sc->tulip_ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
     }
     /*
      * If nothing left to transmit, disable the timer.
@@ -4280,7 +4281,7 @@
 
     if (sc->tulip_flags & TULIP_TXPROBE_ACTIVE) {
 	TULIP_CSR_WRITE(sc, csr_txpoll, 1);
-	sc->tulip_ifp->if_flags |= IFF_OACTIVE;
+	sc->tulip_ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 	TULIP_PERFEND(txput);
 	return NULL;
     }
@@ -4309,7 +4310,7 @@
     sc->tulip_dbg.dbg_txput_finishes[6]++;
 #endif
     if (sc->tulip_flags & (TULIP_WANTTXSTART|TULIP_DOINGSETUP)) {
-	sc->tulip_ifp->if_flags |= IFF_OACTIVE;
+	sc->tulip_ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 	if ((sc->tulip_intrmask & TULIP_STS_TXINTR) == 0) {
 	    sc->tulip_intrmask |= TULIP_STS_TXINTR;
 	    TULIP_CSR_WRITE(sc, csr_intr, sc->tulip_intrmask);
@@ -4494,7 +4495,7 @@
     TULIP_PERFSTART(ifstart)
     tulip_softc_t * const sc = (tulip_softc_t *)ifp->if_softc;
 
-    if (ifp->if_flags & IFF_RUNNING) {
+    if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
 	TULIP_LOCK(sc);
 	tulip_start(sc);
 	TULIP_UNLOCK(sc);
--- //depot/vendor/freebsd/src/sys/pci/if_pcn.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/pci/if_pcn.c	2005/08/05 14:11:40
@@ -907,7 +907,7 @@
 	if (idx != sc->pcn_cdata.pcn_tx_cons) {
 		/* Some buffers have been freed. */
 		sc->pcn_cdata.pcn_tx_cons = idx;
-		ifp->if_flags &= ~IFF_OACTIVE;
+		ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 	}
 	ifp->if_timer = (sc->pcn_cdata.pcn_tx_cnt == 0) ? 0 : 5;
 
@@ -1070,7 +1070,7 @@
 
 	idx = sc->pcn_cdata.pcn_tx_prod;
 
-	if (ifp->if_flags & IFF_OACTIVE) {
+	if (ifp->if_drv_flags & IFF_DRV_OACTIVE) {
 		PCN_UNLOCK(sc);
 		return;
 	}
@@ -1082,7 +1082,7 @@
 
 		if (pcn_encap(sc, m_head, &idx)) {
 			IF_PREPEND(&ifp->if_snd, m_head);
-			ifp->if_flags |= IFF_OACTIVE;
+			ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 			break;
 		}
 
@@ -1232,8 +1232,8 @@
 
 	mii_mediachg(mii);
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	sc->pcn_stat_ch = timeout(pcn_tick, sc, hz);
 	PCN_UNLOCK(sc);
@@ -1302,7 +1302,7 @@
 	switch(command) {
 	case SIOCSIFFLAGS:
 		if (ifp->if_flags & IFF_UP) {
-                        if (ifp->if_flags & IFF_RUNNING &&
+                        if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 			    ifp->if_flags & IFF_PROMISC &&
 			    !(sc->pcn_if_flags & IFF_PROMISC)) {
 				PCN_CSR_SETBIT(sc, PCN_CSR_EXTCTL1,
@@ -1312,7 +1312,7 @@
 				    PCN_EXTCTL1_SPND);
 				pcn_csr_write(sc, PCN_CSR_CSR,
 				    PCN_CSR_INTEN|PCN_CSR_START);
-			} else if (ifp->if_flags & IFF_RUNNING &&
+			} else if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 			    !(ifp->if_flags & IFF_PROMISC) &&
 				sc->pcn_if_flags & IFF_PROMISC) {
 				PCN_CSR_SETBIT(sc, PCN_CSR_EXTCTL1,
@@ -1322,10 +1322,10 @@
 				    PCN_EXTCTL1_SPND);
 				pcn_csr_write(sc, PCN_CSR_CSR,
 				    PCN_CSR_INTEN|PCN_CSR_START);
-			} else if (!(ifp->if_flags & IFF_RUNNING))
+			} else if (!(ifp->if_drv_flags & IFF_DRV_RUNNING))
 				pcn_init(sc);
 		} else {
-			if (ifp->if_flags & IFF_RUNNING)
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 				pcn_stop(sc);
 		}
 		sc->pcn_if_flags = ifp->if_flags;
@@ -1424,7 +1424,7 @@
 	bzero((char *)&sc->pcn_ldata->pcn_tx_list,
 		sizeof(sc->pcn_ldata->pcn_tx_list));
 
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 	PCN_UNLOCK(sc);
 
 	return;
--- //depot/vendor/freebsd/src/sys/pci/if_rl.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/pci/if_rl.c	2005/08/05 14:11:40
@@ -1266,7 +1266,7 @@
 			return;
 		}
 		RL_INC(sc->rl_cdata.last_tx);
-		ifp->if_flags &= ~IFF_OACTIVE;
+		ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 	} while (sc->rl_cdata.last_tx != sc->rl_cdata.cur_tx);
 
 	if (RL_LAST_TXMBUF(sc) == NULL)
@@ -1499,7 +1499,7 @@
 	 * packets from the queue.
 	 */
 	if (RL_CUR_TXMBUF(sc) != NULL)
-		ifp->if_flags |= IFF_OACTIVE;
+		ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 }
 
 static void
@@ -1607,8 +1607,8 @@
 
 	CSR_WRITE_1(sc, RL_CFG1, RL_CFG1_DRVLOAD|RL_CFG1_FULLDUPLEX);
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	sc->rl_stat_ch = timeout(rl_tick, sc, hz);
 }
@@ -1659,7 +1659,7 @@
 		if (ifp->if_flags & IFF_UP) {
 			rl_init_locked(sc);
 		} else {
-			if (ifp->if_flags & IFF_RUNNING)
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 				rl_stop(sc);
 		}
 		RL_UNLOCK(sc);
@@ -1720,7 +1720,7 @@
 
 	ifp->if_timer = 0;
 	untimeout(rl_tick, sc, sc->rl_stat_ch);
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 #ifdef DEVICE_POLLING
 	ether_poll_deregister(ifp);
 #endif /* DEVICE_POLLING */
--- //depot/vendor/freebsd/src/sys/pci/if_sf.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/pci/if_sf.c	2005/08/05 14:11:40
@@ -512,18 +512,18 @@
 	switch(command) {
 	case SIOCSIFFLAGS:
 		if (ifp->if_flags & IFF_UP) {
-			if (ifp->if_flags & IFF_RUNNING &&
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 			    ifp->if_flags & IFF_PROMISC &&
 			    !(sc->sf_if_flags & IFF_PROMISC)) {
 				SF_SETBIT(sc, SF_RXFILT, SF_RXFILT_PROMISC);
-			} else if (ifp->if_flags & IFF_RUNNING &&
+			} else if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 			    !(ifp->if_flags & IFF_PROMISC) &&
 			    sc->sf_if_flags & IFF_PROMISC) {
 				SF_CLRBIT(sc, SF_RXFILT, SF_RXFILT_PROMISC);
-			} else if (!(ifp->if_flags & IFF_RUNNING))
+			} else if (!(ifp->if_drv_flags & IFF_DRV_RUNNING))
 				sf_init(sc);
 		} else {
-			if (ifp->if_flags & IFF_RUNNING)
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 				sf_stop(sc);
 		}
 		sc->sf_if_flags = ifp->if_flags;
@@ -1013,7 +1013,7 @@
 	}
 
 	ifp->if_timer = 0;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	csr_write_4(sc, SF_CQ_CONSIDX,
 	    (txcons & ~SF_CQ_CONSIDX_TXQ) |
@@ -1286,8 +1286,8 @@
 	/*mii_mediachg(mii);*/
 	sf_ifmedia_upd(ifp);
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	sc->sf_stat_ch = timeout(sf_stats_update, sc, hz);
 
@@ -1375,7 +1375,7 @@
 		return;
 	}
 
-	if (ifp->if_flags & IFF_OACTIVE) {
+	if (ifp->if_drv_flags & IFF_DRV_OACTIVE) {
 		SF_UNLOCK(sc);
 		return;
 	}
@@ -1392,7 +1392,7 @@
 
 	while(sc->sf_ldata->sf_tx_dlist[i].sf_mbuf == NULL) {
 		if (sc->sf_tx_cnt >= (SF_TX_DLIST_CNT - 5)) {
-			ifp->if_flags |= IFF_OACTIVE;
+			ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 			cur_tx = NULL;
 			break;
 		}
@@ -1403,7 +1403,7 @@
 		cur_tx = &sc->sf_ldata->sf_tx_dlist[i];
 		if (sf_encap(sc, cur_tx, m_head)) {
 			IFQ_DRV_PREPEND(&ifp->if_snd, m_head);
-			ifp->if_flags |= IFF_OACTIVE;
+			ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 			cur_tx = NULL;
 			break;
 		}
@@ -1482,7 +1482,7 @@
 		}
 	}
 
-	ifp->if_flags &= ~(IFF_RUNNING|IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING|IFF_DRV_OACTIVE);
 	SF_UNLOCK(sc);
 }
 
--- //depot/vendor/freebsd/src/sys/pci/if_sis.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/pci/if_sis.c	2005/08/05 14:11:40
@@ -1551,7 +1551,7 @@
 	if (idx != sc->sis_tx_cons) {
 		/* we freed up some buffers */
 		sc->sis_tx_cons = idx;
-		ifp->if_flags &= ~IFF_OACTIVE;
+		ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 	}
 
 	ifp->if_timer = (sc->sis_tx_cnt == 0) ? 0 : 5;
@@ -1815,7 +1815,7 @@
 
 	idx = sc->sis_tx_prod;
 
-	if (ifp->if_flags & IFF_OACTIVE)
+	if (ifp->if_drv_flags & IFF_DRV_OACTIVE)
 		return;
 
 	while(sc->sis_tx_list[idx].sis_mbuf == NULL) {
@@ -1825,7 +1825,7 @@
 
 		if (sis_encap(sc, &m_head, &idx)) {
 			IFQ_DRV_PREPEND(&ifp->if_snd, m_head);
-			ifp->if_flags |= IFF_OACTIVE;
+			ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 			break;
 		}
 
@@ -2068,8 +2068,8 @@
 	mii_mediachg(mii);
 #endif
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	if (!sc->in_tick)
 		callout_reset(&sc->sis_stat_ch, hz,  sis_tick, sc);
@@ -2127,7 +2127,7 @@
 	case SIOCSIFFLAGS:
 		if (ifp->if_flags & IFF_UP) {
 			sis_init(sc);
-		} else if (ifp->if_flags & IFF_RUNNING) {
+		} else if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
 			SIS_LOCK(sc);
 			sis_stop(sc);
 			SIS_UNLOCK(sc);
@@ -2208,7 +2208,7 @@
 
 	callout_stop(&sc->sis_stat_ch);
 
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 #ifdef DEVICE_POLLING
 	ether_poll_deregister(ifp);
 #endif
--- //depot/vendor/freebsd/src/sys/pci/if_sk.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/pci/if_sk.c	2005/08/05 14:11:40
@@ -1244,14 +1244,14 @@
 			error = EINVAL;
 		else {
 			ifp->if_mtu = ifr->ifr_mtu;
-			ifp->if_flags &= ~IFF_RUNNING;
+			ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 			sk_init(sc_if);
 		}
 		break;
 	case SIOCSIFFLAGS:
 		SK_IF_LOCK(sc_if);
 		if (ifp->if_flags & IFF_UP) {
-			if (ifp->if_flags & IFF_RUNNING) {
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
 				if ((ifp->if_flags ^ sc_if->sk_if_flags)
 				    & IFF_PROMISC) {
 					sk_setpromisc(sc_if);
@@ -1260,7 +1260,7 @@
 			} else
 				sk_init(sc_if);
 		} else {
-			if (ifp->if_flags & IFF_RUNNING)
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 				sk_stop(sc_if);
 		}
 		sc_if->sk_if_flags = ifp->if_flags;
@@ -1269,7 +1269,7 @@
 		break;
 	case SIOCADDMULTI:
 	case SIOCDELMULTI:
-		if (ifp->if_flags & IFF_RUNNING) {
+		if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
 			SK_IF_LOCK(sc_if);
 			sk_setmulti(sc_if);
 			SK_IF_UNLOCK(sc_if);
@@ -2052,7 +2052,7 @@
 		 */
 		if (sk_encap(sc_if, m_head, &idx)) {
 			IFQ_DRV_PREPEND(&ifp->if_snd, m_head);
-			ifp->if_flags |= IFF_OACTIVE;
+			ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 			break;
 		}
 
@@ -2086,7 +2086,7 @@
 	sc_if = ifp->if_softc;
 
 	printf("sk%d: watchdog timeout\n", sc_if->sk_unit);
-	ifp->if_flags &= ~IFF_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 	sk_init(sc_if);
 
 	return;
@@ -2221,7 +2221,7 @@
 		CSR_WRITE_4(sc, sc_if->sk_tx_bmu, SK_TXBMU_TX_START);
 
 	if (sc_if->sk_cdata.sk_tx_cnt < SK_TX_RING_CNT - 2)
-		ifp->if_flags &= ~IFF_OACTIVE;
+		ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	sc_if->sk_cdata.sk_tx_cons = idx;
 }
@@ -2297,7 +2297,7 @@
 	 */
 	status = sk_xmac_miibus_readreg(sc_if, SK_PHYADDR_BCOM, BRGPHY_MII_ISR);
 
-	if (!(ifp->if_flags & IFF_RUNNING)) {
+	if (!(ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 		sk_init_xmac(sc_if);
 		return;
 	}
@@ -2429,14 +2429,16 @@
 		}
 
 		/* Then MAC interrupts. */
-		if (status & SK_ISR_MAC1 && ifp0->if_flags & IFF_RUNNING) {
+		if (status & SK_ISR_MAC1 &&
+		    ifp0->if_drv_flags & IFF_DRV_RUNNING) {
 			if (sc->sk_type == SK_GENESIS)
 				sk_intr_xmac(sc_if0);
 			else
 				sk_intr_yukon(sc_if0);
 		}
 
-		if (status & SK_ISR_MAC2 && ifp1->if_flags & IFF_RUNNING) {
+		if (status & SK_ISR_MAC2 &&
+		    ifp1->if_drv_flags & IFF_DRV_RUNNING) {
 			if (sc->sk_type == SK_GENESIS)
 				sk_intr_xmac(sc_if1);
 			else
@@ -2760,7 +2762,7 @@
 	sc = sc_if->sk_softc;
 	mii = device_get_softc(sc_if->sk_miibus);
 
-	if (ifp->if_flags & IFF_RUNNING) {
+	if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
 		SK_IF_UNLOCK(sc_if);
 		return;
 	}
@@ -2889,8 +2891,8 @@
 		SK_YU_WRITE_2(sc_if, YUKON_GPCR, reg);
 	}
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	SK_IF_UNLOCK(sc_if);
 
@@ -2975,7 +2977,7 @@
 		}
 	}
 
-	ifp->if_flags &= ~(IFF_RUNNING|IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING|IFF_DRV_OACTIVE);
 	SK_IF_UNLOCK(sc_if);
 	return;
 }
--- //depot/vendor/freebsd/src/sys/pci/if_ste.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/pci/if_ste.c	2005/08/05 14:11:40
@@ -901,7 +901,7 @@
 
 		m_freem(cur_tx->ste_mbuf);
 		cur_tx->ste_mbuf = NULL;
-		ifp->if_flags &= ~IFF_OACTIVE;
+		ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 		ifp->if_opackets++;
 
 		STE_INC(idx, STE_TX_LIST_CNT);
@@ -1376,8 +1376,8 @@
 
 	ste_ifmedia_upd(ifp);
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	sc->ste_stat_ch = timeout(ste_stats_update, sc, hz);
 	STE_UNLOCK(sc);
@@ -1396,7 +1396,7 @@
 	ifp = sc->ste_ifp;
 
 	untimeout(ste_stats_update, sc, sc->ste_stat_ch);
-	ifp->if_flags &= ~(IFF_RUNNING|IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING|IFF_DRV_OACTIVE);
 #ifdef DEVICE_POLLING
 	ether_poll_deregister(ifp);
 #endif /* DEVICE_POLLING */
@@ -1480,26 +1480,26 @@
 	switch(command) {
 	case SIOCSIFFLAGS:
 		if (ifp->if_flags & IFF_UP) {
-			if (ifp->if_flags & IFF_RUNNING &&
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 			    ifp->if_flags & IFF_PROMISC &&
 			    !(sc->ste_if_flags & IFF_PROMISC)) {
 				STE_SETBIT1(sc, STE_RX_MODE,
 				    STE_RXMODE_PROMISC);
-			} else if (ifp->if_flags & IFF_RUNNING &&
+			} else if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 			    !(ifp->if_flags & IFF_PROMISC) &&
 			    sc->ste_if_flags & IFF_PROMISC) {
 				STE_CLRBIT1(sc, STE_RX_MODE,
 				    STE_RXMODE_PROMISC);
 			} 
-			if (ifp->if_flags & IFF_RUNNING &&
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 			    (ifp->if_flags ^ sc->ste_if_flags) & IFF_ALLMULTI)
 				ste_setmulti(sc);
-			if (!(ifp->if_flags & IFF_RUNNING)) {
+			if (!(ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 				sc->ste_tx_thresh = STE_TXSTART_THRESH;
 				ste_init(sc);
 			}
 		} else {
-			if (ifp->if_flags & IFF_RUNNING)
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 				ste_stop(sc);
 		}
 		sc->ste_if_flags = ifp->if_flags;
@@ -1596,7 +1596,7 @@
 		return;
 	}
 
-	if (ifp->if_flags & IFF_OACTIVE) {
+	if (ifp->if_drv_flags & IFF_DRV_OACTIVE) {
 		STE_UNLOCK(sc);
 		return;
 	}
@@ -1610,7 +1610,7 @@
 		 */
 		if (STE_NEXT(idx, STE_TX_LIST_CNT) ==
 		    sc->ste_cdata.ste_tx_cons) {
-			ifp->if_flags |= IFF_OACTIVE;
+			ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 			break;
 		}
 
--- //depot/vendor/freebsd/src/sys/pci/if_ti.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/pci/if_ti.c	2005/08/05 14:11:40
@@ -2594,7 +2594,7 @@
 	}
 
 	if (cur_tx != NULL)
-		ifp->if_flags &= ~IFF_OACTIVE;
+		ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 }
 
 static void
@@ -2620,7 +2620,7 @@
 	/* Ack interrupt and stop others from occuring. */
 	CSR_WRITE_4(sc, TI_MB_HOSTINTR, 1);
 
-	if (ifp->if_flags & IFF_RUNNING) {
+	if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
 		/* Check RX return ring producer/consumer */
 		ti_rxeof(sc);
 
@@ -2633,7 +2633,8 @@
 	/* Re-enable interrupts. */
 	CSR_WRITE_4(sc, TI_MB_HOSTINTR, 0);
 
-	if (ifp->if_flags & IFF_RUNNING && ifp->if_snd.ifq_head != NULL)
+	if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
+	    ifp->if_snd.ifq_head != NULL)
 		ti_start(ifp);
 
 	TI_UNLOCK(sc);
@@ -2789,7 +2790,7 @@
 			if ((TI_TX_RING_CNT - sc->ti_txcnt) <
 			    m_head->m_pkthdr.csum_data + 16) {
 				IF_PREPEND(&ifp->if_snd, m_head);
-				ifp->if_flags |= IFF_OACTIVE;
+				ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 				break;
 			}
 		}
@@ -2801,7 +2802,7 @@
 		 */
 		if (ti_encap(sc, m_head, &prodidx)) {
 			IF_PREPEND(&ifp->if_snd, m_head);
-			ifp->if_flags |= IFF_OACTIVE;
+			ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 			break;
 		}
 
@@ -2909,8 +2910,8 @@
 	/* Enable host interrupts. */
 	CSR_WRITE_4(sc, TI_MB_HOSTINTR, 0);
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	/*
 	 * Make sure to set media properly. We have to do this
@@ -3110,12 +3111,12 @@
 			 * waiting for it to start up, which may take a
 			 * second or two.
 			 */
-			if (ifp->if_flags & IFF_RUNNING &&
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 			    ifp->if_flags & IFF_PROMISC &&
 			    !(sc->ti_if_flags & IFF_PROMISC)) {
 				TI_DO_CMD(TI_CMD_SET_PROMISC_MODE,
 				    TI_CMD_CODE_PROMISC_ENB, 0);
-			} else if (ifp->if_flags & IFF_RUNNING &&
+			} else if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 			    !(ifp->if_flags & IFF_PROMISC) &&
 			    sc->ti_if_flags & IFF_PROMISC) {
 				TI_DO_CMD(TI_CMD_SET_PROMISC_MODE,
@@ -3123,7 +3124,7 @@
 			} else
 				ti_init(sc);
 		} else {
-			if (ifp->if_flags & IFF_RUNNING) {
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
 				ti_stop(sc);
 			}
 		}
@@ -3132,7 +3133,7 @@
 		break;
 	case SIOCADDMULTI:
 	case SIOCDELMULTI:
-		if (ifp->if_flags & IFF_RUNNING) {
+		if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
 			ti_setmulti(sc);
 			error = 0;
 		}
@@ -3148,7 +3149,7 @@
 				ifp->if_capenable &= ~IFCAP_HWCSUM;
 			else
 				ifp->if_capenable |= IFCAP_HWCSUM;
-			if (ifp->if_flags & IFF_RUNNING)
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 				ti_init(sc);
 		}
 		error = 0;
@@ -3529,7 +3530,7 @@
 	sc->ti_tx_considx.ti_idx = 0;
 	sc->ti_tx_saved_considx = TI_TXCONS_UNSET;
 
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 	TI_UNLOCK(sc);
 }
 
--- //depot/vendor/freebsd/src/sys/pci/if_tl.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/pci/if_tl.c	2005/08/05 14:11:40
@@ -1655,7 +1655,7 @@
 	ifp->if_timer = 0;
 
 	if (sc->tl_cdata.tl_tx_head == NULL) {
-		ifp->if_flags &= ~IFF_OACTIVE;
+		ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 		sc->tl_cdata.tl_tx_tail = NULL;
 		sc->tl_txeoc = 1;
 	} else {
@@ -1969,7 +1969,7 @@
 	 * punt.
 	 */
 	if (sc->tl_cdata.tl_tx_free == NULL) {
-		ifp->if_flags |= IFF_OACTIVE;
+		ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 		TL_UNLOCK(sc);
 		return;
 	}
@@ -2124,8 +2124,8 @@
 	/* Send the RX go command */
 	CMD_SET(sc, TL_CMD_GO|TL_CMD_NES|TL_CMD_RT);
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	/* Start the stats update counter */
 	sc->tl_stat_ch = timeout(tl_stats_update, sc, hz);
@@ -2206,12 +2206,12 @@
 	switch(command) {
 	case SIOCSIFFLAGS:
 		if (ifp->if_flags & IFF_UP) {
-			if (ifp->if_flags & IFF_RUNNING &&
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 			    ifp->if_flags & IFF_PROMISC &&
 			    !(sc->tl_if_flags & IFF_PROMISC)) {
 				tl_dio_setbit(sc, TL_NETCMD, TL_CMD_CAF);
 				tl_setmulti(sc);
-			} else if (ifp->if_flags & IFF_RUNNING &&
+			} else if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 			    !(ifp->if_flags & IFF_PROMISC) &&
 			    sc->tl_if_flags & IFF_PROMISC) {
 				tl_dio_clrbit(sc, TL_NETCMD, TL_CMD_CAF);
@@ -2219,7 +2219,7 @@
 			} else
 				tl_init(sc);
 		} else {
-			if (ifp->if_flags & IFF_RUNNING) {
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
 				tl_stop(sc);
 			}
 		}
@@ -2332,7 +2332,7 @@
 	bzero((char *)&sc->tl_ldata->tl_tx_list,
 		sizeof(sc->tl_ldata->tl_tx_list));
 
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 	TL_UNLOCK(sc);
 
 	return;
--- //depot/vendor/freebsd/src/sys/pci/if_vr.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/pci/if_vr.c	2005/08/05 14:11:40
@@ -1109,7 +1109,7 @@
 		ifp->if_opackets++;
 		m_freem(cur_tx->vr_mbuf);
 		cur_tx->vr_mbuf = NULL;
-		ifp->if_flags &= ~IFF_OACTIVE;
+		ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 		cur_tx = cur_tx->vr_nextdesc;
 	}
@@ -1400,7 +1400,7 @@
 	struct mbuf		*m_head;
 	struct vr_chain		*cur_tx;
 
-	if (ifp->if_flags & IFF_OACTIVE)
+	if (ifp->if_drv_flags & IFF_DRV_OACTIVE)
 		return;
 
 	cur_tx = sc->vr_cdata.vr_tx_prod;
@@ -1436,7 +1436,7 @@
 		ifp->if_timer = 5;
 
 		if (cur_tx->vr_mbuf != NULL)
-			ifp->if_flags |= IFF_OACTIVE;
+			ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 	}
 }
 
@@ -1545,8 +1545,8 @@
 
 	mii_mediachg(mii);
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	sc->vr_stat_ch = timeout(vr_tick, sc, hz);
 }
@@ -1596,7 +1596,7 @@
 		if (ifp->if_flags & IFF_UP) {
 			vr_init_locked(sc);
 		} else {
-			if (ifp->if_flags & IFF_RUNNING)
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 				vr_stop(sc);
 		}
 		VR_UNLOCK(sc);
@@ -1661,7 +1661,7 @@
 	ifp->if_timer = 0;
 
 	untimeout(vr_tick, sc, sc->vr_stat_ch);
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 #ifdef DEVICE_POLLING
 	ether_poll_deregister(ifp);
 #endif /* DEVICE_POLLING */
--- //depot/vendor/freebsd/src/sys/pci/if_wb.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/pci/if_wb.c	2005/08/05 14:11:40
@@ -1226,7 +1226,7 @@
 	ifp->if_timer = 0;
 
 	if (sc->wb_cdata.wb_tx_head == NULL) {
-		ifp->if_flags &= ~IFF_OACTIVE;
+		ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 		sc->wb_cdata.wb_tx_tail = NULL;
 	} else {
 		if (WB_TXOWN(sc->wb_cdata.wb_tx_head) == WB_UNSENT) {
@@ -1462,7 +1462,7 @@
 	 * punt.
 	 */
 	if (sc->wb_cdata.wb_tx_free->wb_mbuf != NULL) {
-		ifp->if_flags |= IFF_OACTIVE;
+		ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 		WB_UNLOCK(sc);
 		return;
 	}
@@ -1649,8 +1649,8 @@
 
 	mii_mediachg(mii);
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	sc->wb_stat_ch = timeout(wb_tick, sc, hz);
 	WB_UNLOCK(sc);
@@ -1715,7 +1715,7 @@
 		if (ifp->if_flags & IFF_UP) {
 			wb_init(sc);
 		} else {
-			if (ifp->if_flags & IFF_RUNNING)
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 				wb_stop(sc);
 		}
 		error = 0;
@@ -1814,7 +1814,7 @@
 	bzero((char *)&sc->wb_ldata->wb_tx_list,
 		sizeof(sc->wb_ldata->wb_tx_list));
 
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 	WB_UNLOCK(sc);
 
 	return;
--- //depot/vendor/freebsd/src/sys/pci/if_xl.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/pci/if_xl.c	2005/08/05 14:11:40
@@ -2159,7 +2159,7 @@
 	}
 
 	if (sc->xl_cdata.xl_tx_head == NULL) {
-		ifp->if_flags &= ~IFF_OACTIVE;
+		ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 		sc->xl_cdata.xl_tx_tail = NULL;
 	} else {
 		if (CSR_READ_4(sc, XL_DMACTL) & XL_DMACTL_DOWN_STALLED ||
@@ -2209,7 +2209,7 @@
 	sc->xl_cdata.xl_tx_cons = idx;
 
 	if (cur_tx != NULL)
-		ifp->if_flags &= ~IFF_OACTIVE;
+		ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 }
 
 /*
@@ -2611,7 +2611,7 @@
 		xl_txeoc(sc);
 		xl_txeof(sc);
 		if (sc->xl_cdata.xl_tx_free == NULL) {
-			ifp->if_flags |= IFF_OACTIVE;
+			ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 			return;
 		}
 	}
@@ -2729,7 +2729,7 @@
 
 	XL_LOCK_ASSERT(sc);
 
-	if (ifp->if_flags & IFF_OACTIVE)
+	if (ifp->if_drv_flags & IFF_DRV_OACTIVE)
 		return;
 
 	idx = sc->xl_cdata.xl_tx_prod;
@@ -2738,7 +2738,7 @@
 	while (sc->xl_cdata.xl_tx_chain[idx].xl_mbuf == NULL) {
 
 		if ((XL_TX_LIST_CNT - sc->xl_cdata.xl_tx_cnt) < 3) {
-			ifp->if_flags |= IFF_OACTIVE;
+			ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 			break;
 		}
 
@@ -3029,8 +3029,8 @@
 	/* Select window 7 for normal operations. */
 	XL_SEL_WIN(7);
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	sc->xl_stat_ch = timeout(xl_stats_update, sc, hz);
 }
@@ -3166,14 +3166,14 @@
 		XL_SEL_WIN(5);
 		rxfilt = CSR_READ_1(sc, XL_W5_RX_FILTER);
 		if (ifp->if_flags & IFF_UP) {
-			if (ifp->if_flags & IFF_RUNNING &&
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 			    ifp->if_flags & IFF_PROMISC &&
 			    !(sc->xl_if_flags & IFF_PROMISC)) {
 				rxfilt |= XL_RXFILTER_ALLFRAMES;
 				CSR_WRITE_2(sc, XL_COMMAND,
 				    XL_CMD_RX_SET_FILT|rxfilt);
 				XL_SEL_WIN(7);
-			} else if (ifp->if_flags & IFF_RUNNING &&
+			} else if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 			    !(ifp->if_flags & IFF_PROMISC) &&
 			    sc->xl_if_flags & IFF_PROMISC) {
 				rxfilt &= ~XL_RXFILTER_ALLFRAMES;
@@ -3181,11 +3181,11 @@
 				    XL_CMD_RX_SET_FILT|rxfilt);
 				XL_SEL_WIN(7);
 			} else {
-				if ((ifp->if_flags & IFF_RUNNING) == 0)
+				if ((ifp->if_drv_flags & IFF_DRV_RUNNING) == 0)
 					xl_init_locked(sc);
 			}
 		} else {
-			if (ifp->if_flags & IFF_RUNNING)
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 				xl_stop(sc);
 		}
 		sc->xl_if_flags = ifp->if_flags;
@@ -3344,7 +3344,7 @@
 	if (sc->xl_ldata.xl_tx_list != NULL)
 		bzero(sc->xl_ldata.xl_tx_list, XL_TX_LIST_SZ);
 
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 }
 
 /*
